import { useMutation, useQueryClient } from "@tanstack/react-query"

import { deleteGweet } from "../api/delete-gweet"

export const useDeleteGweet = () => {
    const queryClient = useQueryClient()

    return useMutation(({ gweetId }: { gweetId: string }) => {
        return deleteGweet(gweetId)
    }, {
        onSuccess: () => {
            queryClient.invalidateQueries(["gweets"])
        },
        onError: (error) => {
            if (process.env.NODE_ENV === "development") console.log(error)
        },
    })
}