import { buttonVariants } from "@/components/ui/button"
import { cn } from "@/lib/utils"
import Link from "next/link"

export const NavPromo = () => {
    return (
        <div className="space-y-6 justify-center text-center">
            <Link href="/login" className={cn(buttonVariants({ size: "lg" }), "w-full")}>
                Log In
            </Link>
            <Link href="/signup" className={cn(buttonVariants({ size: "lg", variant: "outline" }), "w-full")}>
                Sign Up
            </Link>
            <h4 className="text-sm">
                Unlock endless possibilities - sign up or log in to unleash the full potential of our website.
            </h4>
        </div>
    )
}